# Type alias TokenTransferDetails

TokenTransferDetails: {
amount: bigint;
automatic?: boolean;
from: ChainAddress;
nativeGas?: bigint;
payload?: Uint8Array;
to: ChainAddress;
token: TokenId | "native";
}

#### Type declaration

- ##### amount: bigint

- ##### `Optional` automatic?: boolean

- ##### from: ChainAddress

- ##### `Optional` nativeGas?: bigint

- ##### `Optional` payload?: Uint8Array

- ##### to: ChainAddress

- ##### token: TokenId | "native"

- Defined in core/definitions/dist/esm/protocols/tokenBridge.d.ts:36

Generated using TypeDoc